---
title: llarp::BootstrapList

---

# llarp::BootstrapList





Inherits from std::set< RouterContact >

## Public Functions

|                | Name           |
| -------------- | -------------- |
| bool | **[BDecode](Classes/structllarp_1_1BootstrapList.md#function-bdecode)**([llarp_buffer_t](Classes/structllarp__buffer__t.md) * buf) |
| bool | **[BEncode](Classes/structllarp_1_1BootstrapList.md#function-bencode)**([llarp_buffer_t](Classes/structllarp__buffer__t.md) * buf) const |
| void | **[AddFromFile](Classes/structllarp_1_1BootstrapList.md#function-addfromfile)**(fs::path fpath) |
| void | **[Clear](Classes/structllarp_1_1BootstrapList.md#function-clear)**() |

## Public Functions Documentation

### function BDecode

```cpp
bool BDecode(
    llarp_buffer_t * buf
)
```


### function BEncode

```cpp
bool BEncode(
    llarp_buffer_t * buf
) const
```


### function AddFromFile

```cpp
void AddFromFile(
    fs::path fpath
)
```


### function Clear

```cpp
void Clear()
```


-------------------------------

Updated on 2023-01-30 at 17:55:37 +0000